import { _ as t, a as e } from "./fis-0c75affb.js";
import { _ as s } from "./wash-7c0edfd9.js";
import {
  _ as a,
  b as o,
  a as i,
  u as n,
  j as c,
  D as l,
  E as d,
  e as r,
  f as p,
  t as m,
  h as u,
  G as v,
  o as f,
  A as b,
  B as x,
} from "./index-476be0bb.js";
import { a as w } from "./api.mine-40f950d7.js";
import { u as g } from "./index-dec55e5c.js";
import "./clipboard-c314aeef.js";
const h = (t) => (b("data-v-4dd7a0bb"), (t = t()), x(), t),
  y = { class: "relative linear" },
  C = { class: "relative z-10 pt-20 p-15 pb-50" },
  $ = { class: "" },
  j = { class: "text-28 font-600" },
  _ = { class: "text-16 pt-10 pb-5" },
  A = { class: "text-#666 text-13 lh-20" },
  I = { class: "mt-10" },
  S = { class: "text-14" },
  k = { class: "pt-12" },
  E = { class: "mb-10" },
  R = { class: "flex items-center justify-between" },
  U = { class: "flex-1 lh-18 bg-#fff h-40 lh-40 pl-10" },
  q = { class: "mb-10 mt-15" },
  O = { class: "flex items-center justify-between van-hairline--bottom" },
  B = { class: "flex-1 lh-18 bg-#fff h-40 lh-40 pl-10" },
  D = {
    class:
      "relative font-600 text-center bg-#fff shadow-sm rounded-10 mt-10 mx-auto py-24",
  },
  L = { class: "text-14 pb-12" },
  P = { class: "text-#aaa" },
  z = { class: "text-36 mt-12 text-#5B56E8" },
  F = { class: "w-full flex items-center justify-around mt-20" },
  G = { class: "font-400 mb-12 text-14 text-#aaa" },
  K = { class: "text-22" },
  M = { class: "font-400 mb-12 text-14 text-#aaa" },
  N = { class: "text-22" },
  H = { class: "font-400 mb-12 text-14 text-#aaa" },
  J = { class: "text-22" },
  Q = { class: "font-400 mb-12 text-14 text-#aaa" },
  T = { class: "text-22" },
  V = { class: "bg-#fff p-10 pt-15 rounded-10 mt-10" },
  W = { class: "text-13 borderL" },
  X = { class: "text-center flex p-10 pt-20" },
  Y = [h(() => p("img", { class: "w-30", src: t }, null, -1))],
  Z = [h(() => p("img", { class: "w-30", src: s }, null, -1))],
  tt = [h(() => p("img", { class: "w-30", src: e }, null, -1))],
  et = h(() =>
    p("img", { class: "w-100% mt-10", src: "/png/name-3c3d1a77.png" }, null, -1)
  ),
  st = { class: "mx-auto pt-10 px-14 pb-20 bg-#fff rounded-10 mt-10 mb-70" },
  at = { class: "text-center mb-20" },
  ot = { class: "text-15 borderL font-bold mb-12" },
  it = { class: "text-13" },
  nt = { class: "py-4 mb-8" },
  ct = { class: "py-4 mb-8 lh-18" },
  lt = { class: "py-4 mb-8" },
  dt = { class: "text-15 borderL font-bold mb-12 mt-10" },
  rt = { class: "py-4" },
  pt = { class: "py-4 text-12 lh-15 text-#aaa" },
  mt = { class: "py-4" },
  ut = { class: "py-4 text-12 lh-15 text-#aaa" },
  vt = a(
    {
      __name: "index",
      setup(t) {
        const e = o(),
          { toClipboard: s } = g(),
          { t: a } = i(),
          b = n(),
          x = c("");
        l(() => {
          (x.value = ""
            .concat(window.location.origin)
            .concat(d, "#/reg?i=")
            .concat(b.userInfo.invite_code)),
            (window.appConfig = {
              ...window.appConfig,
              title: a("注册赚积分"),
              description: a("轻松赚取每日积分"),
              image: "../../assets/images/logo3.png",
            });
          const t = document.querySelector('meta[property="og:title"]'),
            e = document.querySelector('meta[property="og:description"]'),
            s = document.querySelector('meta[property="og:image"]');
          t.setAttribute(
            "content",
            Object.getOwnPropertyDescriptor(window.appConfig, "title").value
          ),
            e.setAttribute(
              "content",
              Object.getOwnPropertyDescriptor(window.appConfig, "description")
                .value
            ),
            s.setAttribute(
              "content",
              Object.getOwnPropertyDescriptor(window.appConfig, "image").value
            );
          const o = window.appConfig.title,
            i = window.appConfig.description,
            n = window.appConfig.image,
            c = document.querySelector('meta[property="og:title"]'),
            l = document.querySelector('meta[property="og:description"]'),
            r = document.querySelector('meta[property="og:image"]');
          if (c) c.setAttribute("content", o);
          else {
            const t = document.createElement("meta");
            t.setAttribute("property", "og:title"),
              t.setAttribute("content", o),
              document.head.appendChild(t);
          }
          if (l) l.setAttribute("content", i);
          else {
            const t = document.createElement("meta");
            t.setAttribute("property", "og:description"),
              t.setAttribute("content", i),
              document.head.appendChild(t);
          }
          if (r) r.setAttribute("content", n);
          else {
            const t = document.createElement("meta");
            t.setAttribute("property", "og:image"),
              t.setAttribute("content", n),
              document.head.appendChild(t);
          }
        });
        const h = async (t) => {
            try {
              await s(t), v(a("链接复制成功"));
            } catch (e) {}
          },
          vt = (t, e) => {
            1 == e &&
              window.open(
                "https://t.me/share/url?url=" +
                  encodeURIComponent(t) +
                  "&text=" +
                  encodeURIComponent(a("分享"))
              ),
              2 == e &&
                window.open(
                  "https://api.whatsapp.com/send?text=" +
                    encodeURIComponent(t) +
                    encodeURIComponent(a("分享"))
                ),
              3 == e &&
                window.open(
                  "https://www.facebook.com/sharer/sharer.php?u=" +
                    encodeURIComponent(t) +
                    "&title=" +
                    encodeURIComponent(t) +
                    "&description=" +
                    encodeURIComponent(a("分享"))
                );
          },
          ft = c({});
        return (
          w().then((t) => {
            ft.value = t.data;
          }),
          (t, s) => {
            var a, o, i, n, c;
            return (
              f(),
              r("div", y, [
                p("div", C, [
                  p("div", $, [
                    p("div", j, m(t.$t("邀请好友赚钱")), 1),
                    p("div", _, m(t.$t("获得积分奖励")), 1),
                    p("span", A, m(t.$t("每邀請一位朋友")), 1),
                  ]),
                  p("div", I, [
                    p("div", S, [
                      p("div", k, [
                        p("div", E, m(t.$t("推荐链接")), 1),
                        p("div", R, [
                          p("div", U, m(u(x)), 1),
                          p(
                            "div",
                            {
                              class:
                                "flex items-center justify-center w-60 lh-40 h-40 bg-#5B56E8 text-white",
                              onClick: s[0] || (s[0] = (t) => h(u(x))),
                            },
                            m(t.$t("复制")),
                            1
                          ),
                        ]),
                      ]),
                      p("div", q, m(t.$t("推荐码")), 1),
                      p("div", O, [
                        p("div", B, m(u(b).userInfo.invite_code.toString()), 1),
                        p(
                          "div",
                          {
                            class:
                              "flex items-center justify-center w-60 lh-40 h-40 bg-#5B56E8 text-white",
                            onClick:
                              s[1] ||
                              (s[1] = (t) =>
                                h(u(b).userInfo.invite_code.toString())),
                          },
                          m(t.$t("复制")),
                          1
                        ),
                      ]),
                    ]),
                  ]),
                  p("div", D, [
                    p("div", L, [
                      p("div", P, m(t.$t("累计佣金")), 1),
                      p(
                        "div",
                        z,
                        m(null != (a = u(ft).all_income) ? a : "--"),
                        1
                      ),
                    ]),
                    p("div", F, [
                      p("div", null, [
                        p("div", G, m(t.$t("今日佣金")), 1),
                        p(
                          "div",
                          K,
                          m(null != (o = u(ft).today_income) ? o : "--"),
                          1
                        ),
                      ]),
                      p("div", null, [
                        p("div", M, m(t.$t("昨日佣金")), 1),
                        p(
                          "div",
                          N,
                          m(null != (i = u(ft).yesterday_income) ? i : "--"),
                          1
                        ),
                      ]),
                      p("div", null, [
                        p("div", H, m(t.$t("直属活跃")), 1),
                        p(
                          "div",
                          J,
                          m(null != (n = u(ft).level_1) ? n : "--"),
                          1
                        ),
                      ]),
                      p(
                        "div",
                        {
                          onClick:
                            s[2] || (s[2] = (t) => u(e).push("/subordinates")),
                        },
                        [
                          p("div", Q, m(t.$t("活跃人数")), 1),
                          p(
                            "div",
                            T,
                            m(null != (c = u(ft).active_users) ? c : "--"),
                            1
                          ),
                        ]
                      ),
                    ]),
                  ]),
                  p("div", V, [
                    p("span", W, m(t.$t("分享到您的社交平台")), 1),
                    p("div", X, [
                      p(
                        "div",
                        {
                          class: "w-33.3%",
                          onClick: s[3] || (s[3] = (t) => vt(u(x), 1)),
                        },
                        Y
                      ),
                      p(
                        "div",
                        {
                          class: "w-33.3%",
                          onClick: s[4] || (s[4] = (t) => vt(u(x), 2)),
                        },
                        Z
                      ),
                      p(
                        "div",
                        {
                          class: "w-33.3%",
                          onClick: s[5] || (s[5] = (t) => vt(u(x), 3)),
                        },
                        tt
                      ),
                    ]),
                  ]),
                  et,
                  p("div", st, [
                    p("div", at, m(t.$t("提示")), 1),
                    p("span", ot, m(t.$t("邀请步骤")), 1),
                    p("div", it, [
                      p(
                        "div",
                        nt,
                        m(
                          t.$t("1.点击“复制”按钮，复制链接或选择其他分享方式。")
                        ),
                        1
                      ),
                      p(
                        "div",
                        ct,
                        m(
                          t.$t(
                            "2.将链接分享给您的朋友，并确保他们使用您分享的链接注册。"
                          )
                        ),
                        1
                      ),
                      p(
                        "div",
                        lt,
                        m(t.$t("3.您的朋友注册后完成任务您将额外获得返佣。")),
                        1
                      ),
                      p("div", dt, m(t.$t("返佣计算方式：")), 1),
                      p("div", rt, m(t.$t("一级直属返佣20%")), 1),
                      p(
                        "div",
                        pt,
                        m(
                          t.$t(
                            "*一级直属：通过您邀请链接的注册用户为一级直属下级，直属下级做任务您将获得20%返佣。比如直属下级做了任务获得1000积分，您将额外获得200积分。"
                          )
                        ),
                        1
                      ),
                      p("div", mt, m(t.$t("二级下属返佣10%")), 1),
                      p(
                        "div",
                        ut,
                        m(
                          t.$t(
                            "*二级下属：您的一级直属下级邀请的注册用户，二级下属做任务您将获得10%返佣。比如二级下属做了任务获得1000积分，您将额外获得100积分。"
                          )
                        ),
                        1
                      ),
                    ]),
                  ]),
                ]),
              ])
            );
          }
        );
      },
    },
    [["__scopeId", "data-v-4dd7a0bb"]]
  );
export { vt as default };
